#
# Conditional build:
%bcond_without	wayland	# Wayland support
%bcond_without	x11	# X11 (Xlib/XCB) support

%define	api_version	1.3.275.0
%define	gitref		vulkan-sdk-%{api_version}

Summary:	Vulkan API Tools
Summary(pl.UTF-8):	Narzędzia API Vulkan
Name:		Vulkan-Tools
Version:	%{api_version}
Release:	1
License:	Apache v2.0
Group:		Applications/Graphics
#Source0Download: https://github.com/KhronosGroup/Vulkan-Tools/tags
Source0:	https://github.com/KhronosGroup/Vulkan-Tools/archive/%{gitref}/%{name}-%{gitref}.tar.gz
# Source0-md5:	438bd9ce3e70c54b43101edb12dd8d19
URL:		https://github.com/KhronosGroup/Vulkan-Tools/
BuildRequires:	Vulkan-Loader-devel >= %{api_version}
BuildRequires:	cmake >= 3.17.2
BuildRequires:	glslang
BuildRequires:	libstdc++-devel >= 6:7
%{?with_x11:BuildRequires:	libxcb-devel}
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.10
BuildRequires:	python3-lxml
BuildRequires:	python3-modules >= 1:3
BuildRequires:	vulkan-volk-devel >= 1.3.275
%{?with_wayland:BuildRequires:	wayland-devel}
%{?with_wayland:BuildRequires:	wayland-protocols}
%{?with_x11:BuildRequires:	xorg-lib-libX11-devel}
Obsoletes:	vulkan-sdk-demos < 1.1
Obsoletes:	vulkan-sdk-tools < 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools for the Vulkan graphics API.

%description -l pl.UTF-8
Narzędzia do graficznego API Vulkan.

%package mock-icd
Summary:	Dummy Vulkan ICD (driver)
Summary(pl.UTF-8):	Atrapa sterownika Vulkan
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description mock-icd
Dummy Vulkan ICD (driver).

%description mock-icd -l pl.UTF-8
Atrapa sterownika Vulkan.

%prep
%setup -q -n %{name}-%{gitref}

%build
%cmake -B build \
	%{!?with_wayland:-DBUILD_WSI_WAYLAND_SUPPORT=OFF} \
	%{!?with_x11:-DBUILD_WSI_XCB_SUPPORT=OFF} \
	%{!?with_x11:-DBUILD_WSI_XLIB_SUPPORT=OFF} \
	-DGLSLANG_INSTALL_DIR=%{_prefix} \
	-DINSTALL_ICD=ON

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/vulkan/icd.d

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_datadir}/vulkan/icd.d/VkICD_mock_icd.json \
	$RPM_BUILD_ROOT%{_sysconfdir}/vulkan/icd.d/VkICD_mock_icd.json.disabled

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc GOVERNANCE.md README.md vulkaninfo/vulkaninfo.md
%attr(755,root,root) %{_bindir}/vkcube
%attr(755,root,root) %{_bindir}/vkcube-wayland
%attr(755,root,root) %{_bindir}/vkcubepp
%attr(755,root,root) %{_bindir}/vulkaninfo

%files mock-icd
%defattr(644,root,root,755)
%{_sysconfdir}/vulkan/icd.d/VkICD_mock_icd.json.disabled
%attr(755,root,root) %{_libdir}/libVkICD_mock_icd.so
%changelog
* Sun Feb 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Vulkan-Tools.git;a=log;h=master

* Sun Feb 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 77ed837
- pdated to vulkan-sdk-1.3.275.0

* Sun Jan 08 2023 Jakub Bogusz <qboosh@pld-linux.org> 7aee9d5
- updated to 1.3.224.1

* Mon Dec 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 940c643
- updated to sdk 1.2.198.0

* Sun Jul 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 5e18f32
- updated to sdk 1.2.135.0

* Mon Feb 24 2020 Jan Palus <atler@pld-linux.org> b2fdcd5
- up to 1.2.133

* Fri May 24 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> c62a565
- Add epoch to python3 dependencies

* Fri May 24 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> e1b8a36
- O: vulkan-sdk-demos

* Thu May 23 2019 Jacek Konieczny <jajcus@jajcus.net> da7717d
- new package

